      SUBROUTINE MAP_STEEL_MART2(MS,TQ,VAUST,VMART,VAUSTR)
C
C Subroutine calculates a value for the volume fraction of martensite
C using a formula given by Koistinen and Marburger, Acta Metallurgica,
C (1959), vol. 7, 59.
C
      IMPLICIT NONE
      DOUBLE PRECISION MS,TQ,VAUST,VMART,VAUSTR
C
C guess a value for the volume fraction of martensite, VMART
C
      VMART=1.0D+00-DEXP(-0.011*(MS-TQ))
      VMART=VMART*VAUST
      VAUSTR=VAUST-VMART
      RETURN
      END

